Summary: Chinese HZ/GB/BIG5 encodings auto-converter
Name: zh-autoconvert
Version: 0.3.9
Release: 1mdk
Copyright: GPL
Group: System/Internationalization
Source: http://master.debian.org/~ygh/autoconvert-%{version}.tar.bz2
Patch0: autoconvert-0.3.9-optflagsfix.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: autoconvert

%description
zh-AutoConvert consists of three parts: A converter from Chinese HZ
encoding to GB encoding, an auto-converter from HZ/GB/BIG5 encoding to
GB/BIG5 encoding, and a working procmail example to auto-convert incoming
mail. 

 Author: YU Guanghui <ygh@dlut.edu.cn>

%description -l zh_TW.Big5
AutoConvertO@Ӻ~rsX۰ѧOഫ{,ثeLiH۰ѧOGB/Big5/HZ
sX.奻WL1000r,GB/Big5ѧOǽTv100%.HZѧOv]100%.
oӵ{ǳ̪쪺ت,]O{b̤jγ~NOtXprocmailqlli~r
sX۰ഫ.
AutoConvert{b٫²,BzGB/Big5/HZVXsX,]Bzunicode,N
Ӫ|ѨMoӰD.
    URL: 
    banyan.dlut.edu.cn/~ygh
    ftp.dlut.edu.cn/pub/PEOPLE/saka/
						_s<ygh@dlut.edu.cn>
						1999.10.20
%package xchat
Summary: zh Auto-convert xchat plugins
Group: System/Internationalization
Requires: xchat
%description xchat
zh Auto-convert xchat plugins

%package devel
Summary: Header files and libraries for developing apps which will use zh-autoconvert
Group: Development/C

%description devel
zh-AutoConvert consists of three parts: A converter from Chinese HZ
encoding to GB encoding, an auto-converter from HZ/GB/BIG5 encoding to
GB/BIG5 encoding, and a working procmail example to auto-convert incoming
mail.
    
 Author: YU Guanghui <ygh@dlut.edu.cn>

%prep
%setup -q -n autoconvert-%{version}
%patch0 -p1 -b .optflagsfix

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAG="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 autogb $RPM_BUILD_ROOT/usr/bin
ln -s autogb $RPM_BUILD_ROOT/usr/bin/autob5
mkdir -p $RPM_BUILD_ROOT/usr/share/zh-autoconvert
install -m 755 contrib/xchat-plugins/xchat-autob5.so \
			$RPM_BUILD_ROOT/usr/share/zh-autoconvert
install -m 755 contrib/xchat-plugins/xchat-autogb.so \
			$RPM_BUILD_ROOT/usr/share/zh-autoconvert
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 lib/libhz.so.0.0 $RPM_BUILD_ROOT/usr/lib
install -m 755 lib/libhz.a $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
install -m 644 include/*.h  $RPM_BUILD_ROOT/usr/include
cd $RPM_BUILD_ROOT/usr/lib;ln -s libhz.so.0.0 libhz.so.0


%clean
rm -rf $RPM_BUILD_ROOT

#%post

#%postun

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%doc doc/ ChangeLog GPL LICENSE Readme TODO Thanks 
%doc procmailrc.example shed.* hz.txt contrib/*.pl

%files xchat
%defattr(-,root,root)
/usr/share/zh-autoconvert/xchat-autob5.so
/usr/share/zh-autoconvert/xchat-autogb.so

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Mon Mar 26 2001 Andrew Lee <andrew@linux.org.tw> 0.3.9-1mdk
- refine spec file to mandrake policy
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Obsoletes: autoconvert.
  - Use optflags.
  
* Wed Feb  7 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.9

* Tue Jan  9 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.8

* Sun Jan  7 2001 Andrew Lee <andrew@linux.org.tw>
- change package name to zh-autoconvert
- added a patch fixed unicode problem
- move xchat plugin to /usr/share/autoconvert

* Sat Jan  6 2001 Andrew Lee <andrew@linux.org.tw>
- update to 0.3.7
- added xchat plugins in package autoconvert-xchat

* Sat Nov 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Add English description .
- example files

* Tue Dec 28 1999 Andrew Lee <andrew@cle.linux.org.tw>
- First .spec
